# wxPersistentTLW Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/persist/toplevel.h>`

Inheritance diagram for wxPersistentTLW:
[legend]

## Detailed Description

Persistence adapter for wxTopLevelWindow.

This adapter saves and restores the geometry (i.e. position and size) and the state (iconized, maximized or normal) of top level windows. It can be used with both wxFrame and wxDialog.

Note that it does not save nor restore the window visibility.

## Public Member Functions

| wxPersistentTLW (wxTopLevelWindow *book)
| Constructor.
virtual void | Save () const
| Save the current window geometry.
virtual bool | Restore ()
| Restore the window geometry.

List of all members.

## Constructor & Destructor Documentation

wxPersistentTLW::wxPersistentTLW | ( | wxTopLevelWindow * | book | ) |

Constructor.

Parameters:

  | book | The associated window.

## Member Function Documentation

virtual bool wxPersistentTLW::Restore | ( |  | ) | `[virtual]`

Restore the window geometry.

Implements wxPersistentObject.

virtual void wxPersistentTLW::Save | ( |  | ) | const`[virtual]`

Save the current window geometry.

Implements wxPersistentObject.

|  | [ top ]